Package org.eclipse.microprofile.rest.client.tck.interfaces

# Interface JsonBPrivateClient

All Superinterfaces:
  `JsonBClient`

@RegisterRestClient(configKey="jsonb") @RegisterProvider(MyJsonBContextResolver.class) public interface JsonBPrivateClient extends JsonBClient

## Method Summary

Modifier and Type
Method
Description
`MyJsonBObjectWithPrivateProperties`
`getPrivate(String objectName)`

### Methods inherited from interface org.eclipse.microprofile.rest.client.tck.interfaces.JsonBClient

`get`

## Method Details

### getPrivate

@Path("/private/{objectName}") @GET @Produces("application/json") MyJsonBObjectWithPrivateProperties getPrivate(@PathParam("objectName") String objectName)